#region 

#NoTrayIcon
#include <GUIConstants.au3>
#include <File.au3>
#include <Sound.au3>
#include <EzSkin.au3>

Dim $Song
Dim $szDrive, $szDir, $szFName, $szExt
Global $sound
Dim $Laenge
Dim $Position
Dim $Vol = 50
Dim $SoundPosition
Dim $Std, $min, $sek
Dim $array[3]
Dim $Check
Dim $result
Dim $Muke

$EzGUI = EzSkinGUICreate("My Musik-Player",450,160)
$EzIcon = EzSkinIcon($EzGUI)
GUICtrlCreateLabel("Aktueller Song: ", 22, 40)
$InpSong=GUICtrlCreateInput("", 100, 40, 150, 20)
$Inp1=GUICtrlCreateInput($Vol, 260, 40, 50, 20)
GUICtrlSetTip($Inp1, "Dient zur Anpassung der Lautstrke, wobei 0 = Stumm und 100 = Max.")
$Inp2=GUICtrlCreateInput("", 320, 40, 110, 20)
GUICtrlSetTip($Inp2, "aktuelle Position / gesamte Lnge")
$Up1=GUICtrlCreateUpdown($Inp1, $UDS_ARROWKEYS)
$Open=EzSkinButton("Open", 20, 70, 70, 20)
$Play=EzSkinButton("Play", 110, 70, 70, 20)
$Pause=EzSkinButton("Pause", 190, 70, 70, 20)
$Stop=EzSkinButton("Stop", 270, 70, 70, 20)
$Back=EzSkinButton("Back", 20, 110, 70, 20)
$Forward=EzSkinButton("Forward", 110, 110, 70, 20)
$Wdh=GUICtrlCreateCheckbox("Repeat", 240, 110, 90, 20)
GUICtrlSetState ($Wdh,0)
GUICtrlSetTip($Wdh, "aktuellen Song stndig Wiederholen")
$CD1=GUICtrlCreateIcon ("shell32.dll",41,350,80,32,32)

GUISetState (@SW_SHOW)

While 1
EzSkinOver()
$Check = GUICtrlRead($Wdh)
If $Check = 1 Then
	If _SoundPos($sound, 1) = _SoundLength($sound, 1) Then
		Sleep(1000)
		_SoundPlay($sound, 0)
	EndIf
EndIf
If GUICtrlRead($Inp1) < 0 Then
	$Ausgabe=MsgBox(48, "Warnung!", "Der Volume-Prozentwert darf nicht unter Null liegen " & @CRLF & "und 100% nicht berschreiten.")
	If $Ausgabe = 1 Then
		GUICtrlSetData($Inp1, 50)
	EndIf
EndIf
If GUICtrlRead($Inp1) > 100 Then
	$Ausgabe=MsgBox(48, "Warnung!", "Der Volume-Prozentwert darf nicht unter Null liegen " & @CRLF & "und 100% nicht berschreiten.")
	If $Ausgabe = 1 Then
		GUICtrlSetData($Inp1, 50)
	EndIf
EndIf
$Volume=GUICtrlRead($Inp1)
SoundSetWaveVolume($Volume)
	$msg = GUIGetMsg()
    Select
        Case $msg = $GUI_EVENT_CLOSE
            ExitLoop
			
		Case $msg = $EzIcon[1]
			Exit
		
		Case $msg = $EzIcon[2]
			GuiSetstate(@SW_MINIMIZE, $EzGUI)
		
		Case $msg = $Open
			$Song = FileOpenDialog("Wer suchet der findet!", @WorkingDir, "Musik (*.mp3;*.wav;*.wma;*.asf;*.mid;*.ogg)|Videos (*.avi;*.mpg)", 1+4)
			
			If @error Then
			MsgBox(4096,"","Keine Dateien ausgewhlt!")
			Else
			_SoundClose($sound)
			
			$result = StringInStr($Song, "|")
			$Muke = StringSplit($Song, "|")
			
			If $result > 0  Then
				$Song1 = _PathSplit($Muke[2], $szDrive, $szDir, $szFName, $szExt)
			Else
				$Song1 = _PathSplit($Song, $szDrive, $szDir, $szFName, $szExt)
			EndIf
			GUICtrlSetData($InpSong, $szFName & $szExt)
			EndIf
		
	Case $msg = $Play
			If $szExt = ".avi" Then
				mciSendString("OPEN " & $Song1 & " TYPE AVIVIDEO ALIAS FILM")
				mciSendString("PLAY FILM")
			EndIf
			If $szExt = ".mpg" Or $szExt = ".mpeg" Then
				mciSendString("OPEN " & $Song1 & " TYPE AVIVIDEO ALIAS FILM")
				mciSendString("PLAY FILM")
			EndIf
			If $result > 0  Then 
				$sound = _SoundOpen($Muke[2], "Startup")
			Else
				$sound = _SoundOpen($Song, "Startup")
			EndIf
			
			$Laenge = _SoundLength($sound, 1)
			$Position = _SoundPos($sound, 1)
			GUICtrlSetData($Inp2, $Position & " / " & $Laenge)
			If _SoundPause($sound) = True Then
				_SoundResume($sound)
			EndIf
			
			_SoundPlay($sound, 0)
			
		Case $msg = $Pause
			_SoundPause($sound)
			
		Case $msg = $Stop
			_SoundStop($sound)
			mciSendString("CLOSE FILM")
			
		Case $msg = $CD1
			$InputCD=InputBox("CD-Open", "Geben Sie ihr verwendetes CD-Laufwerk ein." & @CRLF & "z.B.: E: oder D:" & @CRLF & "(Wichtig: Doppelpunkt nach Buchstaben nicht vergessen!)", "F:") 
			$o1=CDTray($InputCD, "Open")
			If $o1 = True Then
				sleep(10000)
				CDTray($InputCD, "Close")
			EndIf
		
		Case $msg = $Back
			$SoundPosition = _SoundPos($sound, 1)
			$array = StringSplit($SoundPosition, ':', 1)
			$sek = $array[3] - 10
			If $sek <10 Then
				$min = $array[2] - 1
			EndIf
			_SoundSeek($sound, $Std, $min, $sek)
			_SoundPlay($sound, 0)
			
		Case $msg = $Forward
			$SoundPosition = _SoundPos($sound, 1)
			$array = StringSplit($SoundPosition, ':', 1)
			$sek = $array[3] + 10
			If $sek >50 Then
				$min = $array[2] + 1
			EndIf
			_SoundSeek($sound, $Std, $min, $sek)
			_SoundPlay($sound, 0)
			
			
	EndSelect
WEnd
Exit

#endregion
    
